ELMREGISTER(1L)

NAME
elmregister - Elm 2.4ME+ installation and uninstallation engine

SYNOPSIS
/usr/local/lib/elm/elmuninstall [ uninstall-options ]
/usr/local/lib/elm/elmregister [ generic-option ] uninstall [ uninstall-options ]
/usr/local/lib/elm/elmregister [ generic-option ] master [ master-options ]
/usr/local/lib/elm/elmregister [ generic-option ] replay [ replay-options ]
/usr/local/lib/elm/elmregister [ generic-option ] unstage [ unstage-options ]
/usr/local/lib/elm/elmregister [ generic-option ] list [ list-options ]
/usr/local/lib/elm/elmregister [ generic-option ] list-directories [ list-options ]
/usr/local/lib/elm/elmregister [ generic-option ] rpm-list [ list-options ]
/usr/local/lib/elm/elmregister [ generic-option ] filter [ list-options ] -M module -w target

SUB-COMMAND SYNOPSIS
/usr/local/lib/elm/elmregister [ generic-option ] mkdir
/usr/local/lib/elm/elmregister [ generic-option ] rm
/usr/local/lib/elm/elmregister [ generic-option ] link
/usr/local/lib/elm/elmregister [ generic-option ] mkdir
/usr/local/lib/elm/elmregister [ generic-option ] copy
/usr/local/lib/elm/elmregister [ generic-option ] copydoc
/usr/local/lib/elm/elmregister [ generic-option ] command

DESCRIPTION
Elmregister is a part of the Elm 2.4ME+ mail system.

Generic option (generic-option) is:

-S stage_dir
    Specifies used stage_dir directory.

Options for unistall (unistall-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-M module
    Selects files marked for module. If -M is not given, selects files which have not marked for certain module).

-M all
    Selects all files.

Options for master (master-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-R root
    Specifies that files should be installed to root directory hierarcy instead of the final destination.

-M module
    Marks files to belong for module.

Options for replay (replay-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-R root
    Specifies that files are on root directory hierarcy and should be copied to the final destination.

-M module
    Selects files marked for module. If -M is not given, selects files which have not marked for certain module).

-M all
    Selects all files.

-v  Print also messages about some files which are kept.

Options for unstage (unstage-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-M module
    Selects files marked for module. If -M is not given, selects files which have not marked for certain module).

-M all
    Selects all files.

-v  Print also messages about some files which are kept.

Options for list (list-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-R root
    Specifies that files are on root directory hierarcy.

-M module
    Selects files marked for module. If -M is not given, selects files which have not marked for certain module).

-M all
    Selects all files.

Options for filter (filter-options) are:

-F filelist
    Specifies that filelist is used instead of /usr/local/etc/mail/elm/elm.filelist file.

-R root
    Specifies that files are on root directory hierarcy.

-M module
    Selects files marked for module. If -M is not given, selects files which have not marked for certain module).

-w filelist
    Specifies that filelist file to which filtered result is written.

Options for sub-commands (command-options) are:

-R path
    Prepends path to names.

-M module
    Marks files to belong for module.

ELM2.4ME+ INSTALLATION
Installed files are tracked during installation. List of files is keep on /usr/local/etc/mail/elm/elm.filelist. That is done with program elmregister.

Tool /usr/local/etc/mail/elm/elmuninstall can used to uninstall elm (without that source tree is available -- so that "make uninstall" can be used.)

Commands elmterminal, elmrc-write, elmunidata and elmcharset are executed after installation. These commands are recorded to /usr/local/etc/mail/elm/elm.filelist during installation. Source data for these commands are stored to stage directory (../var/stage-elm2.4me+) during installation. These recorded post-install commands are executed with elmregister replay (make install does that automatically).

Configure asks that should to Makefile create package target. The command
	make package ROOT=/directory
can be used to install elm to directory /directory without executing post-install command. Post installation commands are assumed to be executed with the command
	/usr/local/lib/elm/elmregister replay -M all
(if /directory is moved to / i.e. final destination).
The command
	/directory/$lib/elmregister replay -M all -R /directory
can be used to move files from /directory to / and execute post-install commands. That command is recorded to file /directory/README.PACKAGE.sh.

The command
	/usr/local/lib/elm/elmregister -M all unstage
may be used to uninstall temporary files from stage directory (../var/stage-elm2.4me+). After that command elmregister replay do not have effect.

The command make install does elmregister -M all unstage after elmregister -M all replay

The command
	/usr/local/lib/elm/elmregister -M all list
can be used to generate file listing suitable for tar -command.

The command
	/usr/local/lib/elm/elmregister -M all list-directories
can be used for generate directory listing so that directories can be pre-created before extracting tar created from elmregister -M all list listing. Note that this listing does not include all parent directories.

The command
	/usr/local/lib/elm/elmregister -M all rpm-list
can be used to generate file listing suitable for rpm %files section.

The command
	/usr/local/lib/elm/elmregister -M module filter
can be used to generate file listing of certain module
(without -M option gives listing of files which
have not marked for certain module).

AUTHOR
Kari Hurtta

ENVIRONMENT VARIABLES

ELM_INSTALLER
    Number of open file description for communication between elmregister master and subcommands.

ELM_ROOT
    Value of -R root parameter for communication between elmregister master and subcommands.

ELM_MODULE
    Value of -M module parameter for communication between elmregister master and subcommands.

FILES
/usr/local/etc/mail/elm/elm.filelist List of installed files

BUG REPORTS TO
Kari Hurtta    elm@elmme-mailer.org

COPYRIGHTS
Copyright 2003-2013 by Kari Hurtta